Prerequisites to install exchange 2016

Coexistence of Exchange 2016 with earlier versions of Exchange Server:

  • Exchange 2007 and earlier versions : Not supported
  • Exchange 2010: Supported with Update Rollup 11 for Exchange 2010 SP3 or later on all Exchange 2010 servers in the organization, including Edge Transport servers.
  • Exchange 2013: Supported with Exchange 2013 Cumulative Update 10 or later on all Exchange 2013 servers in the organization, including Edge Transport servers.
  • Mixed Exchange 2010 and Exchange 2013 organization: Supported with the following minimum versions of Exchange like Update Rollup 11 Exchange 2010 SP3 or later on all Exchange 2010 servers in the organization, including Edge Transport servers, Exchange 2013 Cumulative Update 10 or later on all Exchange 2013 servers in the organization, including Edge Transport servers.

AD Servers:

  • All domain controllers in the forest need to be running one of the following :
    • Windows Server 2008 Standard, Enterprise, or Datacenter
    • Windows Server 2008 R2 Datacenter RTM or later
    • Windows Server 2008 R2 Standard or Enterprise
    • Windows Server 2012 Standard or Datacenter
    • Windows Server 2012 R2 Standard or Datacenter
  • The Active Directory forest functionality level needs to be at Windows Server 2008 or higher.
  • We should not install exchange server on any of the domain controller server.

Other things to keep in mind:

  • We cannot install two exchange servers on the same server.
  • Services related to SQL server should be in stopped, before proceeding.
  • The Simple Mail Transfer Protocol (SMTP) service is installed on this computer. This must be removed before Setup can continue.
  • If you are migrating, FederatedEmail.4c1f4d8b-8179-4148-93bf-00a95fa1e042 object should be in disabled mode.
  • Active Directory Forest Functional level in the organization must be upgraded to Windows Server 2008 or later (currently in 2003)
  • Install .Net framework 4.5.2 Click here to download
  • Install Microsoft Unified Communications Managed API Core Runtime, version 4.0. Click Here
  • Exchange 2016 setup will be available here.
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s